/*******************************************************
//
//	Name: CAIBombDangerZone.h
//
//	Author: Dave Ratti
//
//	Date: 9-27-02
//
//	Modified: 9-27-02
//
//	Notes: I think I can somehow code this in 20 minutes before I release it
//
//	idea: bomb objects "place these" where they will blow up, if an AI Collions with one of these, it runs away
//
//
//
*********************************************************/

#ifndef CAIBOMB_DANGER
#define CAIBOMB_DANGER

#include "CGameObject.h"
#include "CMap.h"
#include "STRINGC.h"
#include "CAnimation.h"
#include "CGame.h""

class CAIBombDangerZone: public CGameObject
{

public:

	CAIBombDangerZone();
	virtual ~CAIBombDangerZone();

	void init();

	virtual void Update();
	virtual void Draw();
	virtual void Collision(CGameObject* obj);

	void setWidth(int x);
	void setHeight(int y);	

	void setStrength(int strength);


protected:

	int m_width;
	int m_height;

};

#endif